/*
 * texture.h This file contains all of the includes and defines for the texture 
 * mapping part of the shader.
 *
 *  $Id: texture.h,v 1.9 1997/11/12 12:49:32 johns Exp $
 */

void InitTextures(void);
color     standard_texture(vector *, texture *, ray *);
color    image_cyl_texture(vector *, texture *, ray *);
color image_sphere_texture(vector *, texture *, ray *);
color  image_plane_texture(vector *, texture *, ray *);
color      checker_texture(vector *, texture *, ray *);
color  cyl_checker_texture(vector *, texture *, ray *);
color         grit_texture(vector *, texture *, ray *);
color         wood_texture(vector *, texture *, ray *);
color       marble_texture(vector *, texture *, ray *);
color       gnoise_texture(vector *, texture *, ray *);
int Noise(flt, flt, flt);
void InitTextures(void);

